### Method

# EBackend UserPrompter extension_prompt

since: 3.8

#### Declaration [src]

    void
    e_user_prompter_extension_prompt (
      EUserPrompter* prompter,
      const gchar* dialog_name,
      const ENamedParameters* in_parameters,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously prompt a user for a decision on an extension-provided dialog. The caller usually provides an extension for `EUserPrompterServer`, a descendant of `EUserPrompterServerExtension`, which registers itself as a dialog provider. The extension defines `dialog_name`, same as meaning of `in_parameters`; only the extension and the caller know about meaning of these.

When the operation is finished, `callback` will be called. You can then call `e_user_prompter_extension_prompt_finish()` to get the result of the operation. If there is no extension providing given dialog name, the operation finishes with a G_IO_ERROR, G_IO_ERROR_NOT_FOUND `GError`.

Available since: 3.8

This method completes asynchronously. Use `e_user_prompter_extension_prompt_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`dialog_name`

  Type: `const gchar*`

  Name of a dialog to invoke.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`in_parameters`

  Type: `ENamedParameters`

  Optional parameters to pass to extension; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.